doinst () 
{ 
    if [ -x /usr/bin/update-desktop-database ]; then
        /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2> /dev/null;
    fi;
    if [ -x /usr/bin/glib-compile-schemas ]; then
        /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas > /dev/null 2>&1;
    fi;
    if find /usr/share/icons -maxdepth 2 2> /dev/null | grep -q icon-theme.cache; then
        for theme_dir in /usr/share/icons/*;
        do
            if [ -r ${theme_dir}/icon-theme.cache ]; then
                /usr/bin/gtk-update-icon-cache -t -f ${theme_dir} > /dev/null 2> /dev/null &
            fi;
        done;
        if [ -r /usr/share/icons/icon-theme.cache ]; then
            rm -f /usr/share/icons/icon-theme.cache;
        fi;
    fi
}
doinst
